• /
  • ログイン
  • 無料アカウント

Java agent v7.0.0

June 9, 2021Download

New features and improvements:

This feature requires a supported version of Java 8 (specifically version 8u262 or higher) or Java 11 or higher and is currently disabled by default. To enable it set the following in your yaml (indented 2 spaces under the common stanza).

jfr:
enabled: true

Notice: If you were previously using the jfr-daemon jar as an agent extension or standalone process you should remove that option to avoid potential conflicts with the JFR service that is now built into the agent.

  • Not compatible with Java 7. In order to continue to innovate and efficiently provide new capabilities to our customers who run on the JVM, this and future agent versions aren't compatible with Java 7. If you're running Java 7, you may continue to use Java agent 6.5.0 or lower. For details, see this topic on the Explorers Hub.
  • Adds support for akka http with Scala 2.13. #271
  • Class annotation to trace lambda methods. #274
  • Class annotation to trace methods by return type. #275

Fixes:

  • Fixes an issue that could cause multiple versions of akka-http-core instrumentation to apply at the same time. #208
  • The agent will now log dropped events at FINE instead of WARN to decrease verbosity. #296
  • Fixes Javadoc comments that incorrectly stated that, when calling the noticeError API multiple times, the first error would be reported when in fact it's the last error that is reported. #313

Support statement:

  • New Relic recommends that you upgrade the agent regularly to ensure that you're getting the latest features and performance benefits. Additionally, older releases will no longer be supported when they reach end-of-life.

Known Issues

  • OkHttp

This release contains a bug that breaks OkHttp versions 3.X and below. All affected users should upgrade to 7.0.1.

問題を作成する
Copyright © 2020 New Relic Inc.